1

[alpine-aports] [PATCH] testing/libtermkey: fix depends

Marvin Steadfast
Details
Message ID
<1455703168-60-1-git-send-email-marvin@xsteadfastx.org>
Sender timestamp
1455703168
DKIM signature
missing
Download raw message
Patch: +2 -2
---
 testing/libtermkey/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/testing/libtermkey/APKBUILD b/testing/libtermkey/APKBUILD
index 0f081ec..f05df5b 100644
--- a/testing/libtermkey/APKBUILD
+++ b/testing/libtermkey/APKBUILD
@@ -2,13 +2,13 @@
 # Maintainer: Marvin Steadfast <marvin@xsteadfastx.org>
 pkgname=libtermkey
 pkgver=0.18
-pkgrel=0
+pkgrel=1
 pkgdesc="Library for easy processing of keyboard entry from terminal-based programs"
 url="http://www.leonerd.org.uk/code/libtermkey"
 arch="all"
 license="MIT"
 depends="unibilium"
-depends_dev="libtool"
+depends_dev="libtool unibilium-dev"
 makedepends="$depends_dev"
 install=""
 subpackages="$pkgname-doc $pkgname-dev"
-- 
2.6.4



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Timo Teras
Details
Message ID
<20160222161446.30bcbe51@vostro.util.wtbts.net>
In-Reply-To
<1455703168-60-1-git-send-email-marvin@xsteadfastx.org> (view parent)
Sender timestamp
1456150486
DKIM signature
missing
Download raw message
On Wed, 17 Feb 2016 09:59:28 +0000
Marvin Steadfast <marvin@xsteadfastx.org> wrote:

> ---
>  testing/libtermkey/APKBUILD | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)

Flattened with the original patch and applied. See also below for one
change.

Thanks.

> diff --git a/testing/libtermkey/APKBUILD b/testing/libtermkey/APKBUILD
> index 0f081ec..f05df5b 100644
> --- a/testing/libtermkey/APKBUILD
> +++ b/testing/libtermkey/APKBUILD
> @@ -2,13 +2,13 @@
>  # Maintainer: Marvin Steadfast <marvin@xsteadfastx.org>
>  pkgname=libtermkey
>  pkgver=0.18
> -pkgrel=0
> +pkgrel=1
>  pkgdesc="Library for easy processing of keyboard entry from
> terminal-based programs"
> url="http://www.leonerd.org.uk/code/libtermkey" arch="all"
>  license="MIT"
>  depends="unibilium"

This depends is not needed. The dynamic linker dependencies are picked
automatically and added properly. depends= dependencies are usually
needed only when abuild does not understand it. E.g. using commands
from some other package in scripts.

> -depends_dev="libtool"
> +depends_dev="libtool unibilium-dev"
>  makedepends="$depends_dev"
>  install=""
>  subpackages="$pkgname-doc $pkgname-dev"



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---